#!/usr/bin/perl

use strict;
use lib qw(.);
use config;

my $script=config::regscr;
my $bakscr=config::ulsscr;
my $filename=config::authfile;

print "Content-type: text/html; charset=UTF-8\n\n";

my $scrname=$ENV{'SCRIPT_NAME'} if(defined $ENV{'SCRIPT_NAME'});
my @scrary=split(/\//, $scrname);
my $scrfile=$scrary[$#scrary];
if(defined $ENV{'PATH_INFO'}){
	my $pathinfo=$ENV{'PATH_INFO'};
	$pathinfo=~s/\/$//;
	$scrname.=$pathinfo;
}

my ($qrystr, $name, $value, %param);
read (STDIN, $qrystr, $ENV{'CONTENT_LENGTH'});
my @qryary=split('&', $qrystr);
foreach my $var (@qryary){
	($name, $value)=split('=', $var);
	$param{$name}=$value;
}
my ($userid, $passwd);
my $ix=0;
if( -f "$filename" ){
	open FILE, "$filename" or die;
	while (my $line=<FILE>){
		chomp($line);
		($userid, $passwd)=split(':', $line);
		$ix++;
	}
	close FILE;
}

print "<html>\n";
print "<head>\n";
print "<title>Password confirm page</title>\n";
print "</head>\n\n";
print "<body>\n";
$scrname=~s/$scrfile/$script/;
print "<FORM METHOD=POST ACTION=$scrname>\n";
$scrname=~s/$script/$scrfile/;
print "&nbsp;&nbsp;UserID:<input type=text name=userid value=\"$param{'userid'}\" size=20 readonly>\n";
print "<p>\n";
print "Password:<input type=text name=passwd value=\"$param{'passwd'}\" size=20 readonly>\n";
print "<p>\n";
print "<input type=hidden name=line value=$param{'line'}>\n";
print "<input type=submit value=register>";
print "</FORM>\n";
$scrname=~s/$scrfile/$bakscr/;
print "<p>\n";
print "<FORM METHOD=POST ACTION=$scrname>\n";
print "<input type=submit value=back>\n";
print "</FORM>\n";
print "</body>\n";
print "</html>\n";
exit 0;

