#!/usr/bin/perl

use strict;
use lib qw(.);
use imgtable;

my %param=imgtable::paramget;
if($ENV{'HTTP_USER_AGENT'}=~/^Mozilla/){
	$param{'zoom'}="pc";
}
else{
	$param{'zoom'}="no";
}
my @clrpara=imgtable::clrpara;
$param{'bgcolor'}=shift(@clrpara) if($param{'bgcolor'} eq "");
$param{'txtcolor'}=shift(@clrpara) if($param{'txtcolor'} eq "");

print "Content-type: text/html; charset=UTF-8\n\n";

print "<HTML>\n";
print "<HEAD>\n";
print "<TITLE>Image Table Viewer Page</TITLE>\n";
print "<meta name=\"viewport\" content=\"width=device-width, initial-scale=0.7\">\n";
print "</HEAD>\n\n";
print "<BODY";
print " BGCOLOR=#".$param{'bgcolor'} if($param{'bgcolor'} ne "");
print " TEXT=#".$param{'txtcolor'} if($param{'txtcolor'} ne "");
print " LINK=#".$param{'lnkcolor'} if($param{'lnkcolor'} ne "");
print " VLINK=#".$param{'vlnkcolor'} if($param{'vlnkcolor'} ne "");
print ">\n";
if($param{'zoom'} ne "no"){
	imgtable::cntprt if($param{'ver'}>0);
	imgtable::veropt;
}
imgtable::tblprt($param{'zoom'}) if($param{'ver'}>0 || $param{'zoom'} eq "no");
imgtable::lsprt if($param{'ver'}>3 || $param{'zoom'} eq "no");
imgtable::ulsprt if($param{'ver'}>3 && $param{'zoom'} ne "no");
print "</BODY>\n";
print "</HTML>\n";

