#!/usr/bin/perl

use strict;
use lib qw(.);
use imgtable;

my $script=imgtable::tblscr;

print "Content-type: text/html; charset=UTF-8\n\n";
my %param=imgtable::paramget;
my ($name, $value);
foreach $name (keys(%param)){
	$value=$param{$name};
	$value=~s/%([A-Fa-f0-9]{2})/pack('H2', $1)/ge;
	$value=~s/\r\n/,/g;
	$value=~s/,,/\n/g;
	$param{$name}=$value;
}
print "<HTML>\n";
print "<HEAD>\n";
print "<TITLE>Memo Write Complite PAGE</TITLE>\n";
print "</HEAD>\n\n";
print "<BODY>\n";
print "<DIV ALIGN=$param{'align'}>\n" if(defined $param{'align'});
my $dirpath=$ENV{'PATH_TRANSLATED'};
$dirpath=~s/index\.htm.*$//i;
$dirpath=~s/\/$//;
my @fileary=split(/\//, $dirpath);
my $filename=$fileary[$#fileary];
$dirpath=~s/\/$filename//;
if($param{'edit'} eq "write"){
	open FILE, "> $dirpath/$filename" or die;
	flock FILE, 2;
	print FILE $param{'data'};
	flock FILE, 8;
	close FILE;
	print "<XMP>\n";
	$param{'data'}=~s/\n/\n\n/g;
	$param{'data'}=~s/,/\n/g;
	print "$param{'data'}";
	print "</XMP>\n";
}
if($param{'edit'} eq "del"){
	unlink "$dirpath/$filename";
	print "<H3><FONT COLOR=#FF0000>メモは削除されました</FONT></H3>\n";
}
my $scrname=imgtable::scrpath($script);
my $pathinfo=imgtable::pathinfo;
$pathinfo=~s/\/$filename//;
$scrname.=$pathinfo;
print "<P>\n";
print "<FORM METHOD=\"GET\" ACTION=\"$scrname\">\n";
print "<input type=\"hidden\" value=\"$param{'width'}\" name=\"width\">\n" if(defined $param{'width'});
print "<input type=\"hidden\" value=\"$param{'vwidth'}\" name=\"vwidth\">\n" if(defined $param{'vwidth'});
print "<input type=\"hidden\" value=\"$param{'col'}\" name=\"col\">\n" if(defined $param{'col'});
print "<input type=\"hidden\" value=\"$param{'row'}\" name=\"row\">\n" if(defined $param{'row'});
print "<input type=\"hidden\" value=\"$param{'icon'}\" name=\"icon\">\n" if(defined $param{'icon'});
print "<input type=\"hidden\" value=\"$param{'memo'}\" name=\"memo\">\n" if(defined $param{'memo'});
print "<input type=\"hidden\" value=\"$param{'maxsize'}\" name=\"maxsize\">\n" if(defined $param{'maxsize'});
print "<input type=\"hidden\" value=\"$param{'zoom'}\" name=\"zoom\">\n" if(defined $param{'zoom'});
print "<input type=\"hidden\" value=\"$param{'hidefile'}\" name=\"hidefile\">\n" if(defined $param{'hidefile'});
print "<input type=\"hidden\" value=\"$param{'pfile'}\" name=\"pfile\">\n" if(defined $param{'pfile'});
print "<input type=\"hidden\" value=\"$param{'pnum'}\" name=\"pnum\">\n" if(defined $param{'pnum'});
print "<input type=\"submit\" value=\"戻る\">";
print "</FORM>\n";
print "</DIV>\n" if(defined $param{'align'});
print "</BODY>\n";
print "</HTML>\n";
exit 0;
