#!/usr/bin/perl

use strict;
use lib qw(.);
use config;

my $script=config::ulsscr;
my $filename=config::authfile;
my $crynum=config::crynum;

srand();
my @salts=("A".."Z", "a".."z", "0".."9", ".", "/");
my $intkey;
$intkey="\$1\$" if($crynum==5);
$intkey.=$salts[int(rand(64))].$salts[int(rand(64))];

print "Content-type: text/html; charset=UTF-8\n\n";
print "<HTML>\n";
print "<HEAD>\n";
print "<TITLE>UserID Registration PAGE</TITLE>\n";
print "</HEAD>\n\n";
print "<BODY>\n";

my ($qrystr, $name, $value, %param, @userid, @passwd);
read(STDIN, $qrystr, $ENV{'CONTENT_LENGTH'});
my @qryary=split('&', $qrystr);
foreach my $var (@qryary){
	($name, $value)=split('=', $var);
	$value=~s/%([A-Fa-f0-9]{2})/pack('H2', $1)/ge;
	$param{$name}=$value;
}
my $inchk=0;
$inchk++ if($param{'userid'}!~/\W+/);
#print $inchk." ".$param{'userid'}."<br>\n";
$inchk++ if($param{'passwd'}=~/^[\x20-\x7E]+$/);
#print $inchk." ".$param{'passwd'}."<br>\n";
if($param{'line'}=~/^[0-9]+$/){
	if($param{'userid'} eq ""){
		$inchk=3;
	}
	else{
		$inchk++;
	}
}
#print $inchk." ".$param{'line'}."<br>\n";
if($inchk<3){
	print "Input data error<p>\n";
	print "</body>\n";
	print "</html>\n";
	exit 1;
}
my $crypw=crypt($param{'passwd'}, $intkey);
my $ix=0;
open READ, "$filename" or die;
while (my $line=<READ>){
	chomp($line);
	($userid[$ix], $passwd[$ix])=split(':', $line);
	$ix++;
}
close READ;
my $maxline=$ix;

my $scrname=$ENV{'SCRIPT_NAME'};
my @scrary=split(/\//, $scrname);
$scrname=~s/$scrary[$#scrary]/$script/;
if(defined $ENV{'PATH_INFO'}){
	my $pathinfo=$ENV{'PATH_INFO'};
	$pathinfo=~s/\/$//;
	$scrname.=$pathinfo;
}

if($param{'line'}==$maxline){
	open FILE, ">> $filename" or die;
	flock FILE, 2;
	print FILE $param{'userid'}.":".$crypw."\n";
	flock FILE, 8;
	close FILE;
}
else{
	open FILE, "> $filename" or die;
	flock FILE, 2;
	for($ix=0; $ix<=$#userid; $ix++){
		if($ix==$param{'line'}){
			print FILE $param{'userid'}.":".$crypw."\n" if($param{'userid'} ne "");
		}
		else{
			print FILE $userid[$ix].":".$passwd[$ix]."\n";
		}
	}
	flock FILE, 8;
	close FILE;
}

print "Complite Registration.\n";
print "<P>\n";
print "<FORM METHOD=POST ACTION=$scrname>\n";
print "<input type=submit value=Return>";
print "</FORM>\n";
print "</BODY>\n";
print "</HTML>\n";
exit 0;

