#!/usr/bin/perl

use strict;
print "Content-type:image/gif\n\n";

my $qrystr=$ENV{'QUERY_STRING'};
exit 1 if($qrystr eq "");
my @qryary=split('&', $qrystr);
my ($name, $value, %param, @sort);
foreach my $var (@qryary){
	($name, $value)=split('=', $var);
	$param{$name}=$value;
}

my $cgipath=$ENV{'SCRIPT_FILENAME'};
my @cgiary=split(/\//, $cgipath);
$cgipath=~s/$cgiary[$#cgiary]//;
my $imgdir=$cgipath.$param{'dir'};
my $cntfile=$imgdir."/".$param{'file'}.".dat";

my $digit=$param{'digit'}-1;
open READ, "<$cntfile" || die "Can't open file $param{'file'}.dat";
my $num=<READ>;
close READ;
$num++;
my @numary=split(//, $num);
my $chk=$#numary;
$chk++;
my $intd=$chk;
foreach my $cnum (@numary){
	$chk--;
	$sort[$chk]=$cnum;
}
for(my $ix=$intd; $ix<=$digit; $ix++){
	$sort[$ix]=0;
}

my $cntnum=$param{'cn'}-1;
open IMG, "<$imgdir/$sort[$cntnum].gif";
binmode IMG;
binmode STDOUT;
print <IMG>;
close IMG;
if($cntnum==0){
	open SAVE, ">$cntfile" || die "Can't open file $param{'file'}.dat";
	flock SAVE, 2;
	print SAVE $num;
	flock SAVE, 8;
	close SAVE;
}
exit 0;

