#!/usr/bin/perl

use strict;
use lib qw(.);
use config;

my $script=config::confscr;
my $bakscr=config::ulsscr;
my $filename=config::authfile;
my $crynum=config::crynum;

print "Content-type: text/html; charset=UTF-8\n\n";
print "<html>\n";
print "<head>\n";
print "<title>Password input page</title>\n";
print "</head>\n\n";
print "<body>\n";

my $scrname=$ENV{'SCRIPT_NAME'};
my @scrary=split(/\//, $scrname);
my $scrfile=$scrary[$#scrary];
if(defined $ENV{'PATH_INFO'}){
	my $pathinfo=$ENV{'PATH_INFO'};
	$pathinfo=~s/\/$//;
	$scrname.=$pathinfo;
}

my ($qrystr, $name, $value, %param);
read (STDIN, $qrystr, $ENV{'CONTENT_LENGTH'});
my @qryary = split('&', $qrystr);
foreach my $var (@qryary){
	($name, $value)=split('=', $var);
	$param{$name}=$value if($value ne "");
}

my($userid, $passwd, $editid, $intkey, $crypw);
my $ix=0;
if( -f "$filename" ){
	open FILE, "$filename" or die;
	while (my $line=<FILE>){
		chomp($line);
		($userid, $passwd)=split(':', $line);
		if($ix==$param{'line'}){
			$intkey=substr($passwd, 0, $crynum);
			$crypw=crypt($param{'passwd'}, $intkey);
			if($passwd eq $crypw){
				$editid=$userid;
			}
			else{
				print "Password mismatch.<p>\n";
				$scrname=~s/$scrfile/$bakscr/;
				print "<a href=\"$scrname\">Return</a>\n";
				print "</body>\n";
				print "</html>\n";
				exit 1;
			}
		}
		$ix++;
	}
	close FILE;
}

$scrname=~s/$scrfile/$script/;
print "<FORM METHOD=POST ACTION=$scrname>\n";
$scrname=~s/$script/$scrfile/;
print "&nbsp;&nbsp;UserID:<input type=text name=userid value=\"$editid\" size=20 maxlength=20 istyle=3>\n";
print "<p>\n";
print "Password:<input type=password name=passwd size=20 maxlength=20 istyle=3>\n";
print "<p>\n";
print "<input type=hidden name=line value=$param{'line'}>\n";
print "<input type=submit value=confirm>";
print "</FORM>\n";
print "<p>\n";
$scrname=~s/$scrfile/$bakscr/;
print "<FORM METHOD=POST ACTION=$scrname>\n";
$scrname=~s/$bakscr/$scrfile/;
print "<input type=submit value=back>\n";
print "</FORM>\n";
print "</body>\n";
print "</html>\n";
exit 0;

