package imgtable;

use strict;
use Image::Size;

sub tblscr{
	my $filename="table.pl";
	return $filename;
}

sub imglsscr{
	my $filename="imglist.pl";
	return $filename;
}

sub imgscr{
	my $filename="img.pl";
	return $filename;
}

sub imgfscr{
	my $filename="imgframe.pl";
	return $filename;
}

sub bgmscr{
	my $filename="bgm.pl";
	return $filename;
}

sub medscr{
	my $filename="memoedit.pl";
	return $filename;
}

sub msubscr{
	my $filename="memosubmit.pl";
	return $filename;
}

sub imgpscr{
	my $filename="imgparam.pl";
	return $filename;
}

sub cntscr{
	my $filename="count.pl";
	return $filename;
}

sub lsscr{
	my $filename="list.pl";
	return $filename;
}

sub ulsscr{
	my $filename="ulist.pl";
	return $filename;
}

sub prgroot{
	my $path="/usr/local/bin";
	return $path;
}

sub httpcmd{
	my $filename="lynx";
	return $filename;
}

sub httpopt{
	my $opt="-dump";
	return $opt;
}

sub imgext{
	my @ary=("gif", "jpg", "png");
	return @ary;
}

sub prvprint{
	my $tblscr=tblscr;
	my $imgscr=imgscr;
	my $imglsscr=imglsscr;
	my ($name, $value, %qstr);
	$qstr{'x'}=shift;
	$qstr{'y'}=shift;
	$qstr{'query'}=shift;
	$qstr{'pathinfo'}=shift;
	$qstr{'imgpath'}=shift;
	$qstr{'fname'}=shift;
	$qstr{'imgpath'}=~s/$tblscr/$imgscr/;
	$qstr{'indata'}=$ENV{'PATH_TRANSLATED'};
	$qstr{'indata'}=~s/index\.htm.*$//i;
	$qstr{'indata'}=~s/\/$//;
	my @qryary=split('&', $qstr{'query'});
	foreach my $var (@qryary){
		($name, $value)=split('=', $var);
		$qstr{$name}=$value;
	}
	$qstr{'width'}=150 if($qstr{'width'} eq "");
	$qstr{'query'}=~s/&width=320// if($qstr{'zoom'} eq "no" && $qstr{'width'}==320);
	if( -B "$qstr{'indata'}/icons/$qstr{'fname'}" ){
		($qstr{'xx'}, $qstr{'yy'})=imgsize("$qstr{'indata'}/icons/$qstr{'fname'}");
	}
	else{
		($qstr{'xx'}, $qstr{'yy'})=(0, 0);
	}
	if( -d "$qstr{'indata'}/icons" && $qstr{'xx'}==0 && $qstr{'yy'}==0 && $qstr{'row'} eq "" ){
		$imglsscr=~s/\.[a-z]+$//i;
		$qstr{'query'}.="&ret=";
		$qstr{'query'}.=$imglsscr;
	}
	else{
		$tblscr=~s/\.[a-z]+$//i;
		$qstr{'query'}.="&ret=";
		$qstr{'query'}.=$tblscr;
	}
	my $width=$qstr{'width'};
	if ($qstr{'x'}>=$qstr{'y'}){
#		$width=$qstr{'x'} if($qstr{'x'}<$qstr{'width'});
		if($qstr{'x'}<=$qstr{'width'}){
			if($qstr{'pathinfo'}!~/icons/ || $qstr{'zoom'} eq "no"){
				print "<TH>\n<IMG SRC=\"$qstr{'pathinfo'}/$qstr{'fname'}\" width=\"$qstr{'x'}\"><BR>\n" if (($qstr{'fname'} ne "icons") && ($qstr{'x'}!=0));
			}
			else{
				print "<TH>\n<A HREF=\"$qstr{'imgpath'}/$qstr{'fname'}?$qstr{'query'}\"><IMG SRC=\"$qstr{'pathinfo'}/$qstr{'fname'}\" width=\"$qstr{'x'}\"><BR>\n" if (($qstr{'fname'} ne "icons") && ($qstr{'x'}!=0));
			}
		}
		else{
			if($qstr{'zoom'} eq "no" && $qstr{'width'}==320 && ($qstr{'vwidth'}==320 || $qstr{'vwidth'} eq "")){
				print "<TH>\n<IMG SRC=\"$qstr{'pathinfo'}/$qstr{'fname'}\" width=\"$width\"><BR>\n" if (($qstr{'fname'} ne "icons") && ($qstr{'x'}!=0));
			}
			else{
				print "<TH>\n<A HREF=\"$qstr{'imgpath'}/$qstr{'fname'}?$qstr{'query'}\"><IMG SRC=\"$qstr{'pathinfo'}/$qstr{'fname'}\" width=\"$width\"></A><BR>\n" if (($qstr{'fname'} ne "icons") && ($qstr{'x'}!=0));
			}
		}
	}
	else{
#		$width=$qstr{'y'} if ($qstr{'y'}<$qstr{'width'});
		if ($qstr{'y'}<=$qstr{'width'}){
			if($qstr{'pathinfo'}!~/icons/ || $qstr{'zoom'} eq "no"){
				print "<TH>\n<IMG SRC=\"$qstr{'pathinfo'}/$qstr{'fname'}\" height=\"$qstr{'y'}\"><BR>\n" if (($qstr{'fname'} ne "icons") && ($qstr{'y'}!=0));
			}
			else{
				print "<TH>\n<A HREF=\"$qstr{'imgpath'}/$qstr{'fname'}?$qstr{'query'}\"><IMG SRC=\"$qstr{'pathinfo'}/$qstr{'fname'}\" height=\"$qstr{'y'}\"><BR>\n" if (($qstr{'fname'} ne "icons") && ($qstr{'y'}!=0));
			}
		}
		else{
			if($qstr{'zoom'} eq "no" && $qstr{'width'}==320 && ($qstr{'vwidth'}==320 || $qstr{'vwidth'} eq "")){
				print "<TH>\n<IMG SRC=\"$qstr{'pathinfo'}/$qstr{'fname'}\" height=\"$width\"><BR>\n" if (($qstr{'fname'} ne "icons") && ($qstr{'y'}!=0));
			}
			else{
				print "<TH>\n<A HREF=\"$qstr{'imgpath'}/$qstr{'fname'}?$qstr{'query'}\"><IMG SRC=\"$qstr{'pathinfo'}/$qstr{'fname'}\" height=\"$width\"></A><BR>\n" if (($qstr{'fname'} ne "icons") && ($qstr{'y'}!=0));
			}
		}
	}
}

sub memprint{
	my $tblscr=tblscr;
	my $medscr=medscr;
	my ($name, $value, %param);
	$param{'memo'}=shift;
	$param{'query'}=shift;
	$param{'pathinfo'}=shift;
	$param{'imgpath'}=shift;
	$param{'fname'}=shift;
	$param{'imgpath'}=~s/$tblscr/$medscr/;
	my @qryary=split('&', $param{'query'});
	foreach my $var (@qryary){
		($name, $value)=split('=', $var);
		$param{$name}=$value;
	}
	my @fname=split(/\./, $param{'fname'});
	my $ttlname=$param{'fname'};
	$ttlname=~s/\.$fname[$#fname]//;
	my $mfile=$ttlname.".csv";
	my $dirpath=$ENV{'PATH_TRANSLATED'};
	$dirpath=~s/\/$//;
	if($param{'memo'} eq "yes"){
		if( -f "$dirpath/$mfile" ){
			print "<A HREF=\"$param{'imgpath'}/$mfile?$param{'query'}\">";
			print "メモを更新出来ます</A>\n";
		}
		else{
			print "<A HREF=\"$param{'imgpath'}/$mfile?$param{'query'}\">";
			print "メモを入力出来ます</A>\n";
		}
	}
	print "</TH>\n";
}

sub scrpath{
	my $script=shift;
	my $scrpath=$ENV{'SCRIPT_NAME'};
	my @scrary=split(/\//, $scrpath);
	$scrpath=~s/$scrary[$#scrary]/$script/;
	return $scrpath;
}

sub pathinfo{
	my $pathinfo=$ENV{'PATH_INFO'};
	$pathinfo=~s/\/$//;
	return $pathinfo;
}

sub paramget{
	my ($name, $value, %param);
	my $qrystr=$ENV{'QUERY_STRING'};
	read (STDIN, $qrystr, $ENV{'CONTENT_LENGTH'}) if($qrystr eq "");
	my @qryary=split('&', $qrystr);
	foreach my $var (@qryary){
		($name, $value)=split('=', $var);
		$param{$name}=$value if($value ne "");
	}
	return %param;
}

sub clrpara{
	my @color=("000000", "00FF00");
	return @color;
}

sub cntpara{
	my @cnt=("imgtable", "counter", 4);
	return @cnt;
}

sub cntprt{
	my $cntscr=cntscr;
	my $scrpath=scrpath($cntscr);
	my %param=paramget;
	my @cntpara=cntpara;
	$param{'file'}=shift(@cntpara) if($param{'file'} eq "");
	$param{'dir'}=shift(@cntpara) if($param{'dir'} eq "");
	$param{'digit'}=shift(@cntpara) if($param{'digit'} eq "");
	my $cntnum=$param{'digit'};
	print "<DIV ALIGN=CENTER>\n";
	print "<H3>現在のアクセス数は<BR>\n";
	print "<IMG SRC=\"".$scrpath."?file=".$param{'file'}."\&dir=".$param{'dir'}."\&digit=".$param{'digit'}."\&cn=".$cntnum."\" ALIGN=bottom>\n";
	for(my $ix=$cntnum; $ix>=2; $ix--){
		$cntnum--;
		print "<IMG SRC=\"".$scrpath."?file=".$param{'file'}."\&dir=".$param{'dir'}."\&digit=".$param{'digit'}."\&cn=".$cntnum."\" LOWSRC=\"".$scrpath."?file=".$param{'file'}."\&dir=".$param{'dir'}."\&digit=".$param{'digit'}."\&cn=".$ix."\" ALIGN=bottom>\n";
	}
	print "<BR>回目です</H3>\n";
	print "</DIV>\n<P>\n";
}

sub tblnpara{
	my %param=paramget;
	my ($width, $vwidth, $maxsize, $col, $row);
	$width=160 if($param{'zoom'} eq "no");
	$width=200 if($param{'zoom'} ne "no");
	$vwidth=320 if($param{'zoom'} eq "no");
	$vwidth=600 if($param{'zoom'} ne "no");
	$maxsize=307200 if($param{'zoom'} eq "no");
	$maxsize=9830400 if($param{'zoom'} ne "no");
	$col=1 if($param{'zoom'} eq "no");
	$col=3 if($param{'zoom'} eq "sm");
	$col=4 if($param{'zoom'} eq "pc");
	$row=1 if($param{'zoom'} eq "no");
	$row=3 if($param{'zoom'} eq "sm");
	$row=5 if($param{'zoom'} eq "pc");
	my @ntbl=($width, $vwidth, $maxsize, $col, $row, "no", "no", "no", "yes");
	return @ntbl;
}

sub tblpara{
	my @otbl=(150, 600, 0, 4, 0, "yes", "no", "no", "no");
	return @otbl;
}

sub tblnopt{
	my %param=paramget;
	my @usrage=split(';', $ENV{'HTTP_USER_AGENT'});
	my @tblnpara=tblnpara;
	my $dmypara;
	if($param{'width'} eq ""){
		$param{'width'}=shift(@tblnpara);
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	if($param{'vwidth'} eq ""){
		$param{'vwidth'}=shift(@tblnpara);
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	if($param{'maxsize'} eq ""){
		$param{'maxsize'}=shift(@tblnpara);
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	if($param{'col'} eq ""){
		$param{'col'}=shift(@tblnpara);
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	if($param{'row'} eq ""){
		$param{'row'}=shift(@tblnpara);
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	if($param{'icon'} eq ""){
		$param{'icon'}=shift(@tblnpara);
		$param{'icon'}=$param{'zoom'} if($param{'zoom'} ne "");
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	if($param{'memo'} eq ""){
		$param{'memo'}=shift(@tblnpara);
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	if($param{'hidedir'} eq ""){
		$param{'hidedir'}=shift(@tblnpara);
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	if($param{'hidefile'} eq ""){
		$param{'hidefile'}=shift(@tblnpara);
	}
	else{
		$dmypara=shift(@tblnpara);
	}
	print "<TABLE>\n<TR>\n";
	print "<TD>Reduction Size</TD>\n";
	print "<TD><INPUT type=text";
	print " value=".$param{'width'} if($param{'width'} ne "");
	print " name=width size=3 istyle=4 maxlength=3></TD>\n";
	print "</TR><TR>\n";
	print "<TD>Expansion Size</TD>\n";
	print "<TD><INPUT type=text";
	print " value=".$param{'vwidth'} if($param{'vwidth'} ne "");
	print " name=vwidth size=6 istyle=4 maxlength=5></TD>\n";
	print "</TR><TR>\n";
	print "<TD>Hardware</TD>\n";
	print "<TD><SELECT name=zoom>\n";
	print "<OPTION value=pc";
	print " selected" if($param{'zoom'} eq "pc");
	print ">PC</OPTION>\n";
	print "<OPTION value=sm";
	print " selected" if($param{'zoom'} eq "sm");
	print ">SmartPhone</OPTION>\n";
	print "<OPTION value=no";
	print " selected" if($param{'zoom'} eq "no");
	print ">FeaturePhone</OPTION>\n";
	print "</SELECT></TD>\n";
	print "</TR><TR>\n";
	print "<TD>Memory Size</TD>\n";
	if($param{'maxsize'}==0){
		print "<TD><INPUT type=text value=".$param{'maxsize'}." name=maxsize size=9 istyle=4></TD>\n";
	}
	else{
		print "<TD><SELECT name=maxsize>\n";
		print "<OPTION value=307200";
		print " selected" if($param{'maxsize'}==307200);
		print ">16M</OPTION>\n";
		print "<OPTION value=614400";
		print " selected" if($param{'maxsize'}==614400);
		print ">32M</OPTION>\n";
		print "<OPTION value=1228800";
		print " selected" if($param{'maxsize'}==1228800);
		print ">64M</OPTION>\n";
		print "<OPTION value=2457600";
		print " selected" if($param{'maxsize'}==2457600);
		print ">128M</OPTION>\n";
		print "<OPTION value=4915200";
		print " selected" if($param{'maxsize'}==4915200);
		print ">256M</OPTION>\n";
		print "<OPTION value=9830400";
		print " selected" if($param{'maxsize'}==9830400);
		print ">512M</OPTION>\n";
		print "<OPTION value=19660800";
		print " selected" if($param{'maxsize'}==19660800);
		print ">1024M</OPTION>\n";
		print "<OPTION value=39321600";
		print " selected" if($param{'maxsize'}==39321600);
		print ">2048M</OPTION>\n";
		print "<OPTION value=78643200";
		print " selected" if($param{'maxsize'}==78643200);
		print ">4096M</OPTION>\n";
		print "</SELECT></TD>\n";
	}
	print "</TR><TR>\n";
	print "<TD>column</TD>\n";
	print "<TD><INPUT type=text";
	print " value=".$param{'col'} if($param{'col'} ne "");
	print " name=col size=3 istyle=4 maxlength=3></TD>\n";
	print "</TR><TR>\n";
	if($param{'pfile'} eq ""){
		print "<TD>row</TD>\n";
		print "<TD><INPUT type=text";
		print " value=".$param{'row'} if($param{'row'} ne "");
		print " name=row size=3 istyle=4 maxlength=3></TD>\n";
		print "</TR><TR>\n";
	}
	else{
		print "<TD>file per page</TD>\n";
		print "<TD><INPUT type=text value=".$param{'pfile'}." name=pfile size=3 istyle=4 maxlength=3></TD>\n";
		print "</TR><TR>\n";
	}
	print "<TD>icon</TD>\n";
	if($param{'icon'} eq ""){
		print "<TD><INPUT type=text value=".$param{'zoom'}." name=icon size=3 istyle=4 maxlength=3></TD>\n" if($param{'ver'}>3 && $param{'zoom'} ne "");
	}
	else{
		print "<TD><INPUT type=text value=".$param{'icon'}." name=icon size=3 istyle=4 maxlength=3></TD>\n" if($param{'ver'}>3);
		if($param{'ver'}==3){
			print "<TD><SELECT name=icon>\n";
			print "<OPTION value=yes";
			print " selected" if($param{'icon'} eq "yes");
			print ">yes</OPTION>\n";
			print "<OPTION value=no";
			print " selected" if($param{'icon'} eq "no");
			print ">no</OPTION>\n";
			print "</SELECT></TD>\n";
		}
	}
	print "</TR><TR>\n";
	print "<TD>memo</TD>\n";
	print "<TD><SELECT name=memo>\n";
	print "<OPTION value=yes";
	print " selected" if($param{'memo'} eq "yes");
	print ">yes</OPTION>\n";
	print "<OPTION value=no";
	print " selected" if($param{'memo'} eq "no");
	print ">no</OPTION>\n";
	print "</SELECT></TD>\n";
	if($param{'hidedir'} ne "" && $param{'ver'}>3){
		print "</TR><TR>\n";
		print "<TD>hidedir</TD>\n";
		print "<TD><SELECT name=hidedir>\n";
		print "<OPTION value=yes";
		print " selected" if($param{'hidedir'} eq "yes");
		print ">yes</OPTION>\n";
		print "<OPTION value=no";
		print " selected" if($param{'hidedir'} eq "no");
		print ">no</OPTION>\n";
		print "</SELECT></TD>\n";
	}
	if($param{'hidefile'} ne "" && $param{'ver'}>3){
		print "</TR><TR>\n";
		print "<TD>hidefile</TD>\n";
		print "<TD><SELECT name=hidefile>\n";
		print "<OPTION value=yes";
		print " selected" if($param{'hidefile'} eq "yes");
		print ">yes</OPTION>\n";
		print "<OPTION value=no";
		print " selected" if($param{'hidefile'} eq "no");
		print ">no</OPTION>\n";
		print "</SELECT></TD>\n";
	}
	if($param{'sndfile'} ne "" && $param{'ver'}>3){
		print "</TR><TR>\n";
		print "<TD>BGM file</TD>\n";
		print "<TD><INPUT type=text";
		print " value=".$param{'sndfile'};
		print " name=sndfile size=20 istyle=4></TD>\n";
		if($usrage[1]=~/MSIE/){
			print "<INPUT type=hidden name=sndplay value=ie>\n";
		}
		else{
			print "</TR><TR>\n";
			print "<TD>BGM player</TD>\n";
			print "<TD><SELECT name=sndplay>\n";
			print "<OPTION value=qt";
			print " selected" if($param{'sndplay'} eq "qt" | $param{'sndplay'} eq "");
			print ">QuickTime</OPTION>\n";
			print "<OPTION value=real";
			print " selected" if($param{'sndplay'} eq "real");
			print ">RealPlayer</OPTION>\n";
			print "<OPTION value=wmp";
			print " selected" if($param{'sndplay'} eq "wmp");
			print ">WindowsMediaPlayer</OPTION>\n";
			print "</SELECT></TD>\n";
		}
	}
	print "</TR>\n</TABLE>\n<P>\n";
}

sub tblopt{
	my %param=paramget;
	my @tblpara=tblpara;
	my $dmypara;
	if($param{'width'} eq ""){
		$param{'width'}=shift(@tblpara);
	}
	else{
		$dmypara=shift(@tblpara);
	}
	if($param{'vwidth'} eq ""){
		$param{'vwidth'}=shift(@tblpara);
	}
	else{
		$dmypara=shift(@tblpara);
	}
	if($param{'maxsize'} eq ""){
		$param{'maxsize'}=shift(@tblpara);
	}
	else{
		$dmypara=shift(@tblpara);
	}
	if($param{'col'} eq ""){
		$param{'col'}=shift(@tblpara);
	}
	else{
		$dmypara=shift(@tblpara);
	}
	if($param{'row'} eq ""){
		$param{'row'}=shift(@tblpara);
	}
	else{
		$dmypara=shift(@tblpara);
	}
	if($param{'icon'} eq ""){
		$param{'icon'}=shift(@tblpara);
	}
	else{
		$dmypara=shift(@tblpara);
	}
	if($param{'memo'} eq ""){
		$param{'memo'}=shift(@tblpara);
	}
	else{
		$dmypara=shift(@tblpara);
	}
	print "<B>width</B>\n";
	print "<TABLE>\n<TR>\n";
	print "<TH>120</TH>\n";
	print "<TH>150</TH>\n";
	print "<TH>192</TH>\n";
	print "<TH>256</TH>\n";
	print "<TH>300</TH>\n";
	print "</TR><TR>\n";
	print "<TH><INPUT type=radio value=120 name=width";
	print " checked" if($param{'width'}<=120);
	print "></TH>\n";
	print "<TH><INPUT type=radio value=150 name=width";
	print " checked" if($param{'width'}>120 && $param{'width'}<=160);
	print "></TH>\n";
	print "<TH><INPUT type=radio value=192 name=width";
	print " checked" if($param{'width'}>160 && $param{'width'}<=200);
	print "></TH>\n";
	print "<TH><INPUT type=radio value=256 name=width";
	print " checked" if($param{'width'}>200 && $param{'width'}<300);
	print "></TH>\n";
	print "<TH><INPUT type=radio value=300 name=width";
	print " checked" if($param{'width'}>=300);
	print "></TH>\n";
	print "</TR>\n</TABLE>\n";
	print "<B>vwidth</B>\n";
	print "<TABLE>\n<TR>\n";
	print "<TH>480</TH>\n";
	print "<TH>600</TH>\n";
	print "<TH>768</TH>\n";
	print "<TH>1024</TH>\n";
	print "<TH>1200</TH>\n";
	print "</TR><TR>\n";
	print "<TH><INPUT type=radio value=480 name=vwidth";
	print " checked" if($param{'vwidth'}<=480);
	print "></TH>\n";
	print "<TH><INPUT type=radio value=600 name=vwidth";
	print " checked" if($param{'vwidth'}>480 && $param{'vwidth'}<=640);
	print "></TH>\n";
	print "<TH><INPUT type=radio value=768 name=vwidth";
	print " checked" if($param{'vwidth'}>640 && $param{'vwidth'}<=800);
	print "></TH>\n";
	print "<TH><INPUT type=radio value=1024 name=vwidth";
	print " checked" if($param{'vwidth'}>800 && $param{'vwidth'}<1200);
	print "></TH>\n";
	print "<TH><INPUT type=radio value=1200 name=vwidth";
	print " checked" if($param{'vwidth'}>=1200);
	print "></TH>\n";
	print "</TR>\n</TABLE>\n";
	print "<B>column</B>\n";
	print "<TABLE>\n<TR>\n";
	print "<TH><INPUT type=text";
	print " value=".$param{'col'} if($param{'col'} ne "");
	print " name=col size=3 istyle=4 maxlength=3></TH>\n";
	print "</TR>\n</TABLE>\n";
	print "<B>icon</B>\n";
	print "<TABLE>\n<TR>\n";
	print "<TH>yes</TH>\n";
	print "<TH>no</TH>\n";
	print "</TR><TR>\n";
	print "<TH><INPUT type=radio value=yes name=icon";
	print " checked" if($param{'icon'} eq "yes");
	print "></TH>\n";
	print "<TH><INPUT type=radio value=no name=icon";
	print " checked" if($param{'icon'} eq "no");
	print "></TH>\n";
	print "</TR>\n</TABLE>\n";
	print "<B>memo</B>\n";
	print "<TABLE>\n<TR>\n";
	print "<TH>yes</TH>\n";
	print "<TH>no</TH>\n";
	print "</TR><TR>\n";
	print "<TH><INPUT type=radio value=yes name=memo";
	print " checked" if($param{'memo'} eq "yes");
	print "></TH>\n";
	print "<TH><INPUT type=radio value=no name=memo";
	print " checked" if($param{'memo'} eq "no");
	print "></TH>\n";
	print "</TR>\n</TABLE>\n<P>\n";
}

sub lsopt{
	my %param=paramget;
	my @lspara=tblnpara;
	$param{'width'}=shift(@lspara) if($param{'width'} eq "");
	$param{'vwidth'}=shift(@lspara) if($param{'vwidth'} eq "");
	$param{'maxsize'}=shift(@lspara) if($param{'maxsize'} eq "");
	print "<TABLE><TR>\n";
	print "<TD>Expansion Size</TD>\n";
	print "<TD><SELECT name=vwidth>\n";
	print "<OPTION value=174";
	print " selected" if($param{'vwidth'}==174);
	print ">QCIF-horizontal</OPTION>\n";
	print "<OPTION value=320";
	print " selected" if($param{'vwidth'}==320);
	print ">QVGA-horizontal</OPTION>\n";
	print "<OPTION value=400";
	print " selected" if($param{'vwidth'}==400);
	print ">WQVGA-horizontal</OPTION>\n";
	print "<OPTION value=480";
	print " selected" if($param{'vwidth'}==480);
	print ">VGA-vertical</OPTION>\n";
	print "<OPTION value=600";
	print " selected" if($param{'vwidth'}==600);
	print ">SVGA-vertical</OPTION>\n";
	print "<OPTION value=640";
	print " selected" if($param{'vwidth'}==640);
	print ">VGA-horizontal</OPTION>\n";
	print "<OPTION value=768";
	print " selected" if($param{'vwidth'}==768);
	print ">XGA-vertical</OPTION>\n";
	print "<OPTION value=800";
	print " selected" if($param{'vwidth'}==800);
	print ">WVGA-horizontal</OPTION>\n";
	print "<OPTION value=1024";
	print " selected" if($param{'vwidth'}==1024);
	print ">SXGA-vertical</OPTION>\n";
	print "<OPTION value=1200";
	print " selected" if($param{'vwidth'}==1200);
	print ">UXGA-vertical</OPTION>\n";
	print "<OPTION value=1600";
	print " selected" if($param{'vwidth'}==1600);
	print ">WQXGA-vertical</OPTION>\n";
	print "</SELECT></TD>\n";
	print "</TR><TR>\n";
	print "<TD>Memory Size</TD>\n";
	print "<TD><INPUT type=text";
	print " value=".$param{'maxsize'} if($param{'maxsize'} ne "");
	print " name=maxsize size=9 istyle=4></TD>\n";
	if($param{'server_addr'} ne ""){
		print "</TR><TR>\n";
		print "<TD>Server Address</TD>\n";
		print "<TD><INPUT type=text";
		print " value=".$param{'server_addr'};
		print " name=server_addr size=9 istyle=4></TD>\n";
		print "</TR><TR>\n";
		print "<TD>Width or Height</TD>\n";
		print "<TD><SELECT name=nwidth>\n";
		print "<OPTION value=none";
		print " selected";
		print ">none</OPTION>\n";
		print "<OPTION value=width";
		print " selected" if($param{'nwidth'} eq "width");
		print ">width</OPTION>\n";
		print "<OPTION value=height";
		print " selected" if($param{'nwidth'} eq "height");
		print ">height</OPTION>\n</SELECT></TD>\n";
	}
	print "</TR>\n</TABLE>\n<P>\n";
}

sub tblprt{
	my $tblscr=imgtable::tblscr;
	my $imglsscr=imgtable::imglsscr;
	my $imgfscr=imgtable::imgfscr;
	my %param=paramget;
	$param{'zoom'}=shift;
	my $scrpath=scrpath($tblscr);
	$scrpath=scrpath($imgfscr) if($param{'sndfile'} ne "");
	my $pathinfo=pathinfo;
	$scrpath.=$pathinfo;
	print "<P>\n<DIV ALIGN=CENTER>\n";
	print "<H3>画像テーブル表示</H3>\n";
	print "<FORM METHOD=GET ACTION=\"".$scrpath."\">\n";
	if($param{'ver'}>2){
		tblnopt;
	}
	else{
		tblopt if($param{'zoom'} ne "no");
	}
	print "<INPUT type=submit value=\"画像表示\">\n";
	print "</FORM>\n";
	print "</DIV>\n<P>\n";
	print "<DIV ALIGN=CENTER>\n";
	print "<H3>画像ファイルリスト表示</H3>\n";
	$scrpath=scrpath($imglsscr);
	$scrpath.=$pathinfo;
	print "<FORM METHOD=GET ACTION=\"".$scrpath."/\">\n";
	lsopt if($param{'zoom'} ne "no" && $param{'ver'}>2);
	print "<INPUT type=submit value=\"リスト表示\">\n";
	print "</FORM>\n";
	print "</DIV>\n";
}

sub lsprt{
	my $lsscr=lsscr;
	my $scrpath=imgtable::scrpath($lsscr);
	my $pathinfo=imgtable::pathinfo;
	$scrpath.=$pathinfo;
	print "<P>\n";
	print "<DIV ALIGN=CENTER>\n";
	print "<H3>ファイル管理</H3>\n";
	#print "<FORM METHOD=POST ACTION=\"".$scrpath."\">\n";
	print "<FORM METHOD=GET ACTION=\"".$scrpath."\">\n";
	print "<INPUT type=hidden name=pwchk value=1>\n";
	print "<INPUT type=submit value=\"リスト表示\">\n";
	print "</FORM>\n";
	print "</DIV>\n";
}

sub ulsprt{
	my $ulsscr=ulsscr;
	my $scrpath=imgtable::scrpath($ulsscr);
	print "<P>\n";
	print "<DIV ALIGN=CENTER>\n";
	print "<H3>ユーザー管理</H3>\n";
	print "<FORM METHOD=POST ACTION=\"".$scrpath."\">\n";
	print "<INPUT type=submit value=\"リスト表示\">\n";
	print "</FORM>\n";
	print "</DIV>\n";
}

sub veropt{
	my %param=paramget;
	my $scrpath=$ENV{'SCRIPT_NAME'};
	my $pathinfo=pathinfo;
	$scrpath.=$pathinfo;
	my (@tblpara, @tblnpara);
	my $dmypara;
	print "<DIV ALIGN=CENTER>\n";
	print "<H3>バージョン指定</H3>\n";
	print "<FORM METHOD=GET ACTION=\"".$scrpath."\">\n";
	print "<SELECT name=ver>\n";
	print "<OPTION value=4";
	print " selected" if($param{'ver'}>3 || $param{'ver'}<1);
	print ">Version4～5</OPTION>\n";
	print "<OPTION value=3";
	print " selected" if($param{'ver'}==3);
	print ">Version3</OPTION>\n";
	print "<OPTION value=2";
	print " selected" if($param{'ver'}>0 && $param{'ver'}<3);
	print ">Version1～2</OPTION>\n";
	print "</SELECT>\n<P>\n";
	if($param{'ver'} eq ""){
		print "<SELECT name=zoom>\n";
		print "<OPTION value=pc";
		print " selected" if($param{'zoom'} eq "pc" || $param{'zoom'} eq "");
		print ">PC</OPTION>\n";
		print "<OPTION value=sm";
		print " selected" if($param{'zoom'} eq "sm");
		print ">SmartPhone</OPTION>\n";
		print "<OPTION value=no";
		print " selected" if($param{'zoom'} eq "no");
		print ">FeaturePhone</OPTION>\n";
		print "</SELECT>\n<P>\n";
	}
	else{
		print "<INPUT type=hidden name=zoom value=$param{'zoom'}>\n";
		if($param{'ver'}<3){
			@tblpara=tblpara;
			if($param{'width'} eq ""){
				$param{'width'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
			if($param{'vwidth'} eq ""){
				$param{'vwidth'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
			if($param{'maxsize'} eq ""){
				$param{'maxsize'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
			if($param{'col'} eq ""){
				$param{'col'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
			if($param{'row'} eq ""){
				$param{'row'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
			if($param{'icon'} eq ""){
				$param{'icon'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
			if($param{'memo'} eq ""){
				$param{'memo'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
			if($param{'hidedir'} eq ""){
				$param{'hidedir'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
			if($param{'hidefile'} eq ""){
				$param{'hidefile'}=shift(@tblpara);
			}
			else{
				$dmypara=shift(@tblpara);
			}
		}
		if($param{'ver'}>2){
			@tblnpara=tblnpara;
			if($param{'width'} eq ""){
				$param{'width'}=shift(@tblnpara);
			}
			else{
				$dmypara=shift(@tblnpara);
			}
			if($param{'vwidth'} eq ""){
				$param{'vwidth'}=shift(@tblnpara);
			}
			else{
				$dmypara=shift(@tblnpara);
			}
			if($param{'maxsize'} eq ""){
				$param{'maxsize'}=shift(@tblnpara);
			}
			else{
				$dmypara=shift(@tblnpara);
			}
			if($param{'col'} eq ""){
				$param{'col'}=shift(@tblnpara);
			}
			else{
				$dmypara=shift(@tblnpara);
			}
			if($param{'row'} eq ""){
				$param{'row'}=shift(@tblnpara);
			}
			else{
				$dmypara=shift(@tblnpara);
			}
			if($param{'icon'} eq ""){
				$param{'icon'}=shift(@tblnpara);
				$param{'icon'}=$param{'zoom'} if($param{'zoom'} ne "");
			}
			else{
				$dmypara=shift(@tblnpara);
			}
			if($param{'memo'} eq ""){
				$param{'memo'}=shift(@tblnpara);
			}
			else{
				$dmypara=shift(@tblnpara);
			}
			if($param{'hidedir'} eq ""){
				$param{'hidedir'}=shift(@tblnpara);
			}
			else{
				$dmypara=shift(@tblnpara);
			}
			if($param{'hidefile'} eq ""){
				$param{'hidefile'}=shift(@tblnpara);
			}
			else{
				$dmypara=shift(@tblnpara);
			}
		}
	}
	print "<INPUT type=hidden name=width value=$param{'width'}>\n" if($param{'width'} ne "");
	print "<INPUT type=hidden name=vwidth value=$param{'vwidth'}>\n" if($param{'vwidth'} ne "");
	print "<INPUT type=hidden name=maxsize value=$param{'maxsize'}>\n" if($param{'maxsize'} ne "");
	print "<INPUT type=hidden name=col value=$param{'col'}>\n" if($param{'col'} ne "");
	print "<INPUT type=hidden name=row value=$param{'row'}>\n" if($param{'row'} ne "");
	print "<INPUT type=hidden name=icon value=$param{'icon'}>\n" if($param{'icon'} ne "");
	print "<INPUT type=hidden name=memo value=$param{'memo'}>\n" if($param{'memo'} ne "");
	print "<INPUT type=hidden name=hidedir value=$param{'hidedir'}>\n" if($param{'hidedir'} ne "");
	print "<INPUT type=hidden name=hidefile value=$param{'hidefile'}>\n" if($param{'hidefile'} ne "");
	print "<INPUT type=hidden name=sndfile value=$param{'sndfile'}>\n" if($param{'sndfile'} ne "");
	print "<INPUT type=hidden name=sndplay value=$param{'sndplay'}>\n" if($param{'sndplay'} ne "");
	print "<INPUT type=hidden name=server_addr value=$param{'server_addr'}>\n" if($param{'server_addr'} ne "");
	print "<INPUT type=hidden name=nwidth value=$param{'nwidth'}>\n" if($param{'nwidth'} ne "");
	print "<INPUT type=submit value=\"表示\">\n";
	print "</FORM>\n";
	print "</DIV>\n";
}

1;

