#!/usr/bin/perl

use strict;
use lib qw(.);
use imgtable;

my $script=imgtable::msubscr;
my $retscr=imgtable::tblscr;

print "Content-type: text/html; charset=UTF-8\n\n";
my %param=imgtable::paramget;
$param{'align'}="center" if($param{'align'} eq "");
my $dirpath=$ENV{'PATH_TRANSLATED'};
my @fileary=split(/\//, $dirpath);
my $filename=$fileary[$#fileary];
$dirpath=~s/\/$filename//;
if( -f "$dirpath/$filename"){
	open FILE, "$dirpath/$filename" or die;
	while (my $line=<FILE>){
		$param{'data'}.=$line;
	}
	close FILE;
	$param{'data'}=~s/\n/\n\n/g;
	$param{'data'}=~s/,/\n/g;
}
my $scrname=imgtable::scrpath($script);
if($ENV{'PATH_INFO'} ne ""){
	my $pathinfo=imgtable::pathinfo;
	$scrname.=$pathinfo;
}
print "<HTML>\n";
print "<HEAD>\n";
print "<TITLE>Memo Input PAGE</TITLE>\n";
print "</HEAD>\n\n";
print "<BODY>\n";
print "<DIV ALIGN=$param{'align'}>\n" if(defined $param{'align'});
print "<FORM METHOD=\"POST\" ACTION=\"$scrname\">\n";
print "<textarea name=\"data\" rows=\"15\" cols=\"60\">$param{'data'}</textarea><P>\n";
print "<TABLE>\n<TR>\n<TH>\n";
print "<input type=\"hidden\" value=\"$param{'width'}\" name=\"width\">\n" if(defined $param{'width'});
print "<input type=\"hidden\" value=\"$param{'vwidth'}\" name=\"vwidth\">\n" if(defined $param{'vwidth'});
print "<input type=\"hidden\" value=\"$param{'col'}\" name=\"col\">\n" if(defined $param{'col'});
print "<input type=\"hidden\" value=\"$param{'row'}\" name=\"row\">\n" if(defined $param{'row'});
print "<input type=\"hidden\" value=\"$param{'icon'}\" name=\"icon\">\n" if(defined $param{'icon'});
print "<input type=\"hidden\" value=\"$param{'memo'}\" name=\"memo\">\n" if(defined $param{'memo'});
print "<input type=\"hidden\" value=\"$param{'maxsize'}\" name=\"maxsize\">\n" if(defined $param{'maxsize'});
print "<input type=\"hidden\" value=\"$param{'zoom'}\" name=\"zoom\">\n" if(defined $param{'zoom'});
print "<input type=\"hidden\" value=\"$param{'hidefile'}\" name=\"hidefile\">\n" if(defined $param{'hidefile'});
print "<input type=\"hidden\" value=\"$param{'pfile'}\" name=\"pfile\">\n" if(defined $param{'pfile'});
print "<input type=\"hidden\" value=\"$param{'pnum'}\" name=\"pnum\">\n" if(defined $param{'pnum'});
print "<input type=\"hidden\" value=\"write\" name=\"edit\">\n";
print "<input type=\"hidden\" value=\"$param{'align'}\" name=\"align\">\n" if(defined $param{'align'});
print "<input type=\"submit\" value=\"更新\">\n";
print "</FORM>\n";
print "</TH>\n<TH>&nbsp&nbsp&nbsp&nbsp</TH>\n";
print "<TH>\n";
print "<FORM METHOD=\"POST\" ACTION=\"$scrname\">\n";
print "<input type=\"hidden\" value=\"$param{'width'}\" name=\"width\">\n" if(defined $param{'width'});
print "<input type=\"hidden\" value=\"$param{'vwidth'}\" name=\"vwidth\">\n" if(defined $param{'vwidth'});
print "<input type=\"hidden\" value=\"$param{'col'}\" name=\"col\">\n" if(defined $param{'col'});
print "<input type=\"hidden\" value=\"$param{'row'}\" name=\"row\">\n" if(defined $param{'row'});
print "<input type=\"hidden\" value=\"$param{'icon'}\" name=\"icon\">\n" if(defined $param{'icon'});
print "<input type=\"hidden\" value=\"$param{'memo'}\" name=\"memo\">\n" if(defined $param{'memo'});
print "<input type=\"hidden\" value=\"$param{'maxsize'}\" name=\"maxsize\">\n" if(defined $param{'maxsize'});
print "<input type=\"hidden\" value=\"$param{'zoom'}\" name=\"zoom\">\n" if(defined $param{'zoom'});
print "<input type=\"hidden\" value=\"$param{'hidefile'}\" name=\"hidefile\">\n" if(defined $param{'hidefile'});
print "<input type=\"hidden\" value=\"$param{'pfile'}\" name=\"pfile\">\n" if(defined $param{'pfile'});
print "<input type=\"hidden\" value=\"$param{'pnum'}\" name=\"pnum\">\n" if(defined $param{'pnum'});
print "<input type=\"hidden\" value=\"del\" name=\"edit\">\n";
print "<input type=\"hidden\" value=\"$param{'align'}\" name=\"align\">\n" if(defined $param{'align'});
print "<input type=\"submit\" value=\"削除\">\n";
print "</FORM>\n";
print "</TH>\n";
$scrname=~s/$script/$retscr/;
$scrname=~s/\/$filename//;
print "<TH>&nbsp&nbsp&nbsp&nbsp</TH>\n<TH>\n";
print "<FORM METHOD=\"GET\" ACTION=\"$scrname\">\n";
print "<input type=\"hidden\" value=\"$param{'width'}\" name=\"width\">\n" if(defined $param{'width'});
print "<input type=\"hidden\" value=\"$param{'vwidth'}\" name=\"vwidth\">\n" if(defined $param{'vwidth'});
print "<input type=\"hidden\" value=\"$param{'col'}\" name=\"col\">\n" if(defined $param{'col'});
print "<input type=\"hidden\" value=\"$param{'icon'}\" name=\"icon\">\n" if(defined $param{'icon'});
print "<input type=\"hidden\" value=\"$param{'memo'}\" name=\"memo\">\n" if(defined $param{'memo'});
print "<input type=\"hidden\" value=\"$param{'row'}\" name=\"row\">\n" if(defined $param{'row'});
print "<input type=\"hidden\" value=\"$param{'maxsize'}\" name=\"maxsize\">\n" if(defined $param{'maxsize'});
print "<input type=\"hidden\" value=\"$param{'zoom'}\" name=\"zoom\">\n" if(defined $param{'zoom'});
print "<input type=\"hidden\" value=\"$param{'hidefile'}\" name=\"hidefile\">\n" if(defined $param{'hidefile'});
print "<input type=\"hidden\" value=\"$param{'pfile'}\" name=\"pfile\">\n" if(defined $param{'pfile'});
print "<input type=\"hidden\" value=\"$param{'pnum'}\" name=\"pnum\">\n" if(defined $param{'pnum'});
print "<input type=\"submit\" value=\"戻る\">";
print "</FORM>\n";
print "</TH>\n";
print "</TR>\n</TABLE>\n";
print "</DIV>\n" if(defined $param{'align'});
print "</BODY>\n";
print "</HTML>\n";
exit 0;
